package _VisualDVM.Passes.All;
import _VisualDVM.Constants;
import _VisualDVM.Global;
import _VisualDVM.GlobalData.RemoteFile.RemoteFile;
public class ShowSapforCompilationOut extends ShowTestingServerFile {
    @Override
    public String getIconPath() {
        return "/icons/CompilationOutput.png";
    }
    @Override
    protected boolean canStart(Object... args) throws Exception {
        if (!Global.testingServer.db.serverSapfors.getUI().CheckCurrent(Log)) {
            return false;
        }
        return super.canStart("Поток вывода", new RemoteFile(
                Global.testingServer.db.serverSapfors.getUI().getCurrent().home_path, Constants.out_file));
    }
}
